/**
 * Prints out the inline javascript needed for the colorpicker and choosing
 * the tabs in the panel.
 */

jQuery(document).ready(function($) {
	
	// Fade out the save message
	$('.fade').delay(1000).fadeOut(1000);
	
	// Color Picker
	$('.colorSelector').each(function(){
		var Othis = this; //cache a copy of the this variable for use inside nested function
		var initialColor = $(Othis).next('input').attr('value');
		$(this).ColorPicker({
		color: initialColor,
		onShow: function (colpkr) {
		$(colpkr).fadeIn(500);
		return false;
		},
		onHide: function (colpkr) {
		$(colpkr).fadeOut(500);
		return false;
		},
		onChange: function (hsb, hex, rgb) {
		$(Othis).children('div').css('backgroundColor', '#' + hex);
		$(Othis).next('input').attr('value','#' + hex);
	}
	});
	}); //end color picker
	
	// Switches option sections
	$('.group').hide();
	var activetab = '';
	if (typeof(localStorage) != 'undefined' ) {
		activetab = localStorage.getItem("activetab");
	}
	if (activetab != '' && $(activetab).length ) {
		$(activetab).fadeIn();
	} else {
		$('.group:first').fadeIn();
	}
	$('.group .collapsed').each(function(){
		$(this).find('input:checked').parent().parent().parent().nextAll().each( 
			function(){
				if ($(this).hasClass('last')) {
					$(this).removeClass('hidden');
						return false;
					}
				$(this).filter('.hidden').removeClass('hidden');
			});
	});
	
	if (activetab != '' && $(activetab + '-tab').length ) {
		$(activetab + '-tab').addClass('nav-tab-active');
	}
	else {
		$('.nav-tab-wrapper a:first').addClass('nav-tab-active');
	}
	$('.nav-tab-wrapper a').click(function(evt) {
		$('.nav-tab-wrapper a').removeClass('nav-tab-active');
		$(this).addClass('nav-tab-active').blur();
		var clicked_group = $(this).attr('href');
		if (typeof(localStorage) != 'undefined' ) {
			localStorage.setItem("activetab", $(this).attr('href'));
		}
		$('.group').hide();
		$(clicked_group).fadeIn();
		evt.preventDefault();
		
		// Editor Height (needs improvement)
		$('.wp-editor-wrap').each(function() {
			var editor_iframe = $(this).find('iframe');
			if ( editor_iframe.height() < 30 ) {
				editor_iframe.css({'height':'auto'});
			}
		});
	
	});
           					
	$('.group .collapsed input:checkbox').click(unhideHidden);
				
	function unhideHidden(){
		if ($(this).attr('checked')) {
			$(this).parent().parent().parent().nextAll().removeClass('hidden');
		}
		else {
			$(this).parent().parent().parent().nextAll().each( 
			function(){
				if ($(this).filter('.last').length) {
					$(this).addClass('hidden');
					return false;		
					}
				$(this).addClass('hidden');
			});
           					
		}
	}
	
	// Image Options
	$('.of-radio-img-img').click(function(){
		$(this).parent().parent().find('.of-radio-img-img').removeClass('of-radio-img-selected');
		$(this).addClass('of-radio-img-selected');		
	});
		
	$('.of-radio-img-label').hide();
	$('.of-radio-img-img').show();
	$('.of-radio-img-radio').hide();
		 		
});

jQuery(document).ready(function($) {
	jQuery('#optionsframework .section label.explain').each(function(){
		var obj = jQuery(this), 
		   thistxt = obj.text(); 
		thistxt = obj.html(); 
		obj.html('');
		obj.parents('.controls').after('<div class="explain" title="Click for Help!"><div class="tiptxt">'+thistxt+'</div></div>');
		obj.hide();
	});
});

jQuery(document).ready(function($) {
	jQuery('#optionsframework .section div.explain').each(function(){
		var obj = jQuery(this), 
		    thistxt = obj.html(); 
			obj.html('');
		obj.prepend('<div class="tiptxt">'+thistxt+'</div>');
		obj.attr('title','Click for Help!');
	});
	jQuery('#optionsframework .section div.explain').click(function(){ 
		obj = jQuery(this);
		if(obj.hasClass('active')){
			obj.removeClass('active');
			obj.prev('.controls').find('.tiphtml').fadeOut(100,function(){ obj.prev('.controls').find('.tiphtml').remove(); });
		}else{
			var tiptext = obj.find('.tiptxt').html(),
				tiphtml = '<div class="tiphtml">'+tiptext+'</div>';
			obj.addClass('active');
			obj.prev('.controls').append(tiphtml);
			obj.prev('.controls').find('.tiphtml').fadeIn(300);
			var cht = obj.prev('.controls').height();
			if(jQuery(window).height() < cht)
			jQuery('html,body').animate({scrollTop: obj.prev('.controls').find('.tiphtml').offset().top},'slow');
		}
	});
	
});

